Patch Document Metadata

Path Params
uuid
required

The id of the document.

Body Params
metadata
object
required

The metadata to update on the document. Performs a partial update of the document's metadata. Keys must be strings. Values may be strings, numbers, booleans, or lists of strings. Numbers may be integers or floating point and will be converted to 64 bit floating point. Keys set to null are deleted. 1000 total values are allowed, inclusive of existing metadata. Each item in an array counts towards the total. The following keys are reserved for internal use: document_id, document_type, document_source, document_name, document_uploaded_at. If the document is managed by a connection, this operation will extend a metadata overlay which is applied to the document any time the connection syncs the document.

boolean
Defaults to false

Whether to run the metadata update asynchronously. If true, the metadata update will be run in the background and the response will be 202. If false, the metadata update will be run synchronously and the response will be 200.

Headers

An optional partition to scope the request to. If omitted, accounts created after 1/9/2025 will have the request scoped to the default partition, while older accounts will have the request scoped to all partitions. Older accounts may opt in to strict partition scoping by contacting [email protected]. Older accounts using the partitions feature are strongly recommended to scope the request to a partition.

Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json